org.flexdock.perspective.event

## Interface RegistrationListener

- All Superinterfaces:
    RegistrationListener

      public interface RegistrationListener
      extends RegistrationListener

  Author:
    Christopher Butler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dockableAdded(RegistrationEvent evt)`
    `void` | `dockableRemoved(RegistrationEvent evt)`
    `void` | `perspectiveAdded(RegistrationEvent evt)`
    `void` | `perspectiveRemoved(RegistrationEvent evt)`

    - ### Methods inherited from interface org.flexdock.event.RegistrationListener

      `registered, unregistered`

- - ### Method Detail

    - #### perspectiveAdded

          void perspectiveAdded(RegistrationEvent evt)

    - #### dockableAdded

          void dockableAdded(RegistrationEvent evt)

    - #### perspectiveRemoved

          void perspectiveRemoved(RegistrationEvent evt)

    - #### dockableRemoved

          void dockableRemoved(RegistrationEvent evt)